Subject: Re: bug#71438: [PATCH] Allow ping to receive optional arguments

From: TOMAS FABRIZIO ORSI <[email-masked]>
Date: Sun, 16 Jun 2024 23:03:23 -0300

Hello Stefan,

> Sorry for the late reply.
No worries Stefan! I'm glad you are taking the time to help me with the patch.
Thank you for all of the work you do!

> I think this patch (to be applied on top of yours) might provide a
> slighly better experience.  I also made an attempt at improving the
> docstring.  What do you think?
The docstring is greatly improved; without a doubt.

However, I've been thinking. Both my original patch and yours
ask the user for additional flags if *any* prefix argument is
passed.
Isn't that closing the door for further additions to this
function?

Maybe, it would be better if (for instance) "0" is passed
as a prefix argument.
In that way, if any other additions were to be made,
those could use a different prefix argument (1,2,3, and so on);
thus avoiding backwards incompatibility.

So, instead of using when/if; cond could be used.

What do you think?

Best regards,

- Fabrizio